Skip to main content
GET
/
ai-overviews
/
prompts
List prompts
curl --request GET \
  --url https://api.beeze.io/v1/ai-overviews/prompts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "promptText": "<string>",
      "project": "<string>",
      "status": "active",
      "tags": [
        "<string>"
      ],
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "location": "<string>",
      "metrics": {
        "visibility": 123,
        "position": 123,
        "volume": 123,
        "sentiment": 123,
        "sentimentLabel": "positive"
      }
    }
  ],
  "pagination": {
    "count": 123,
    "limit": 123,
    "hasMore": true
  },
  "meta": {
    "promptCount": 123,
    "promptLimit": 123
  }
}

Authorizations

x-api-key
string
header
required

API key for external Beeze API access

Query Parameters

status
enum<string>
Available options:
active,
inactive,
suggested
project
string
limit
integer
Required range: 1 <= x <= 50
from
string<date>

Start date in YYYY-MM-DD format

to
string<date>

End date in YYYY-MM-DD format

Response

Prompt list

data
object[]
required
pagination
object
required
meta
object
required